<?php
namespace Claromentis\Core\Metadata\Events;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_1ecc765ba114ee988" . "82ff60252b3c886" => base64_decode("ZGVsZ" . "XRlZF" . "9maWV" . "sZA=="));
use DynamicMetaFieldPrototype;
use MetaDataSet;
use Symfony\Component\EventDispatcher\GenericEvent;
class MetadataFieldDeletedEvent extends GenericEvent
{
    public function __construct(MetaDataSet $_77c5854c00ecc3702ca7bb6badfe7a22, DynamicMetaFieldPrototype $_525740ec58795ae0359e93ffc33e30d2)
    {
        parent::__construct($_77c5854c00ecc3702ca7bb6badfe7a22, [$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_1ecc765ba114ee98882ff6025" . "2b3c886"] => $_525740ec58795ae0359e93ffc33e30d2]);
    }
    public function GetMetadataSet() : MetaDataSet
    {
        return $this->getSubject();
    }
    public function GetMetadataSetType()
    {
        return $this->getSubject()->set_type;
    }
    public function GetDeletedField() : ?DynamicMetaFieldPrototype
    {
        return $this->hasArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_1ecc765ba114ee98882ff602" . "52b3c886"]) ? $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_1ecc765ba114ee98882ff60" . "252b3c886"]) : null;
    }
}